Summary: texinfo formatter and info reader
Name: texinfo
Version: 3.9
Release: 7
Copyright: GPL
Group: Applications/Publishing
Source0: ftp://prep.ai.mit.edu/pub/gnu/texinfo-3.9.tar.gz
Source1: info-dir
Source2: info.wmconfig
Patch: texinfo-3.9-glibc.patch
Patch1: texinfo-gzinfo.patch
Patch2: texinfo-3.9-gzipnames.patch
Prereq: /sbin/install-info

%changelog

* Sun Nov 09 1997 Donnie Barnes <djb@redhat.com>

- moved /usr/info/dir to /etc/info-dir and made /usr/info/dir a
  symlink to /etc/info-dir.

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>

- added wmconfig entry for info

* Wed Oct 01 1997 Donnie Barnes <djb@redhat.com>

- stripped /sbin/install-info

* Mon Sep 22 1997 Erik Troan <ewt@redhat.com>

- added info-dir to filelist

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>

- added patch from sopwith to let install-info understand gzip'ed info files
- use skeletal dir file from texinfo tarball (w/ bash entry to reduce
  dependency chain) instead (and install-info command everywhere else)
- patches install-info to handle .gz names correctly

* Tue Jun 03 1997 Erik Troan <ewt@redhat.com>

- built against glibc

* Tue Feb 25 1997 Erik Troan <ewt@redhat.com>

- patched install-info.c for glibc.
- added /usr/bin/install-info to the filelist

* Tue Feb 18 1997 Michael Fulbright <msf@redhat.com>

- upgraded to version 3.9.

%description
The GNU project uses the texinfo file format for much of its documentation. 
This package includes the tools necessary to create .info files from .texinfo 
source files, as well as an emacs interface to all these tools.

%package -n info
Summary: standalone tty based reader for GNU texinfo documents
Group: Utilities/System
%description -n info
The GNU project uses the texinfo file format for much of its documentation. 
This package includes a standalone browser program to view these files.

%prep
%setup

%patch -p1
%patch1 -p1
%patch2 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make 
cd emacs
make elisp

%install
rm -f /usr/info/texinfo*
rm -f /usr/info/makeinfo.info*
rm -f /usr/info/info.info*
rm -f /usr/info/info-stnd.info*
make install
gzip -n -9f /usr/info/texinfo*
gzip -n -9f /usr/info/makeinfo.info*
gzip -n -9f /usr/info/info.info*
gzip -n -9f /usr/info/info-stnd.info*
install -m644 emacs/*.elc /usr/lib/emacs/site-lisp
install -m644 $RPM_SOURCE_DIR/info-dir /etc/info-dir
ln -sf ../../etc/info-dir /usr/info/dir
strip /usr/bin/makeinfo /usr/bin/texindex /usr/bin/info
mv /usr/bin/install-info /sbin
rm -f /usr/bin/install-info
strip /sbin/install-info
mkdir -p /etc/X11/wmconfig
install -o root -g root -m644 $RPM_SOURCE_DIR/info.wmconfig /etc/X11/wmconfig/info

%post
/sbin/install-info /usr/info/texinfo.gz /usr/info/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/texinfo.gz /usr/info/dir
fi

%changelog

%files
%doc COPYING ChangeLog INSTALL INTRODUCTION NEWS README TODO
%doc info/NEWS info/README
/usr/bin/makeinfo
/usr/bin/texindex
/usr/bin/texi2dvi

/usr/info/makeinfo.info*
/usr/info/info-stnd.info*

/usr/info/texinfo*
/usr/lib/emacs/site-lisp/info.elc
/usr/lib/emacs/site-lisp/makeinfo.elc
/usr/lib/emacs/site-lisp/texinfo.elc
/usr/lib/emacs/site-lisp/texnfo-upd.elc
/usr/lib/emacs/site-lisp/texnfo-tex.elc
/usr/lib/emacs/site-lisp/texinfmt.elc
/usr/lib/emacs/site-lisp/informat.elc
/usr/lib/emacs/site-lisp/detexinfo.elc

%files -n info
%config(missingok) /etc/X11/wmconfig/info
%config /etc/info-dir
/usr/info/dir
/usr/bin/info
/usr/man/man1/info.1
/usr/info/info.info*
/sbin/install-info
